Skip to main content
POST
/
v1
/
apps
/
{app_id}
/
domains
Add a custom domain
curl --request POST \
  --url https://api.mixpeek.com/v1/apps/{app_id}/domains \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "<string>",
  "is_primary": false
}
'
{
  "domain": "<string>",
  "status": "<string>",
  "is_primary": true,
  "verification_token": "<string>",
  "cname_target": "<string>",
  "verified_at": "<string>"
}

Headers

Authorization
string

REQUIRED: Bearer token authentication using your API key. Format: 'Bearer sk_xxxxxxxxxxxxx'. You can create API keys in the Mixpeek dashboard under Organization Settings.

Examples:

"Bearer YOUR_API_KEY"

"Bearer YOUR_STRIPE_API_KEY"

authorization
string
X-Namespace
string

REQUIRED: Namespace identifier for scoping this request. All resources (collections, buckets, taxonomies, etc.) are scoped to a namespace. You can provide either the namespace name or namespace ID. Format: ns_xxxxxxxxxxxxx (ID) or a custom name like 'my-namespace'

Examples:

"ns_abc123def456"

"production"

"my-namespace"

Path Parameters

app_id
string
required

App ID (e.g. app_abc123def456)

Body

application/json
domain
string
required

Customer domain (e.g. 'search.acme.com')

is_primary
boolean
default:false

Set as primary domain

Response

The newly added domain configuration

domain
string
required
status
string
required
is_primary
boolean
required
verification_token
string | null
cname_target
string | null
verified_at
string | null